Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
MPoolConfig Members
MPoolConfig Class Constructors Methods Fields Properties See Also

The MPoolConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| MPoolConfig | Initializes a new instance of the MPoolConfig class

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| SetMaxSequentialWrites | Limit the number of sequential write operations scheduled by the library when flushing dirty pages from the cache.
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| CacheSize | The size of the shared memory buffer pool — that is, the cache.
| MaxCacheSize | The maximum cache size.

# Properties

| Name | Description
--- | --- | ---
| MaxOpenFiles | The number of file descriptors the library will open concurrently when flushing dirty pages from the cache.
| MaxSequentialWrites | The number of sequential write operations scheduled by the library when flushing dirty pages from the cache.
| MMapSize | The maximum file size, in bytes, for a file to be mapped into the process address space. If no value is specified, it defaults to 10MB.
| SequentialWritePause | The number of microseconds the thread of control should pause before scheduling further write operations.

# See Also

MPoolConfig Class
BerkeleyDB Namespace